@font-face {
        font-family: Negto;
        src: url('https://raw.githubusercontent.com/0xaphi/Negto_Font/main/Negto.ttf') format('truetype');
        line-height: 1.2em;
        }

html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
}

body {
    margin: auto;
    background-color: #fffedb;

}

a {
    list-style: none;
    text-decoration: none;
}

p {
    font-family: Futura;
}

.heading {
    text-align: center;
    font-family: Negto;
    color: aliceblue;
    background-color: black;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    margin: auto;
    padding-top: 20px;
    width: 30%;
    height: 1.5em;
    font-size: 3vw;
}

.navi {
    position: fixed;
    z-index: 100;
}

.main-content {
    padding-top: 12vh;
}

.map {
    background-color: #06835e;
    color: aliceblue;
    border-radius: 20px;
    margin: auto;
    padding: 15px;
    width: 60%;
    height: 60vh;
    text-align: center;
    font-weight: 400;
}

.map a {
    color: aliceblue;
}

.map iframe {
    margin: auto;
    margin-top: 20px;
    position: relative;
    width: 90%;
    height: 45vh;
    left: 0;
    right: 0;
}

.contact-form {
    display: flex;
    flex-direction: row;
    width: 50%;
    height: 60vh;
    padding: 2% 3%;
    box-sizing: border-box;
    margin: auto;
    background-color: #06835e;
    color: aliceblue;
    border-radius: 20px;
    font-family: clamp(0.8rem, 1rem, 1.25rem);
}

.contact-form input[type="text"] {
    height: 2em;
    width: 90%;
    border: none;
    border-radius: 5px;
    padding-left: 5px;
    box-sizing: border-box;
    background-color: #fffedb;
}

.contact-form input[type="text"]:hover {
    background-color: #94d450;
    border: none;
}

.contact-form textarea {
    width: 80%;
    border: none;
    border-radius: 5px;
    padding-left: 5px;
    box-sizing: border-box;
    background-color: #fffedb;
    line-height: 1.2em;
    padding-top: 5px;
}

.contact-form textarea:hover {
    background-color: #94d450;
    border: none;
}

.form-left {
    width: 50%;
    max-height: 90%;
}

.form-right {
    width: 50%;
    max-height: 90%;
}

.contact-form label {
    font-family: Negto;
    line-height: 1.5em;
}

.contact-form #message-box {
    height: 90%;
    width: 100%;
    vertical-align: text-top;
    overflow-y: auto;
}

.contact-form #subject-options {
    display: flex;
    flex-direction: row;
    gap: 4px;
    text-align: center;
}

.contact-form .form-buttons {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 50%;
    float: right;
    margin: auto;
    margin-top: 2%;
    border-radius: 10px;
}

.contact-form .form-buttons button {
    padding: 2% 10%;
    height: 2rem;
    border-radius: 25px;
    border: none;
    font-family: Negto;
}

.submit {
    background-color: #A1E362;
    color: #06835e;
}

.submit:hover {
    background-color: #03583f;
    color: #A1E362;
    cursor: pointer;
}

.reset {
    background-color: #FFCD59;
    color: #b66310;
}

.reset:hover {
    background-color: #944e09;
    color: #FFCD59;
    cursor: pointer;
}

#bush-photo-header {
    width: 100%;
    margin: auto;
}

#bush-photo-header img {
    position: relative;
    display: block;
    float: left;
    width: 100%;
    height: 100%;
    object-fit: none;
}

footer {
    background-color: #65b744;
    color: rgb(170, 255, 127);
    height: 100px;
    font-size: 20px;
    align-items: center;
    list-style: none;
    list-style-type: none;
    text-decoration: none;
    display: flex;
    flex-direction: row;
    font-family: Negto;
    margin-top: -10px;
}

.footer a, .footer a:visited {
    color: #fffedb;
}

.footer a:hover {
    color: #f3ce77;
}


.footer .left-nav {
    list-style-type: none;
    text-decoration: none;
    width: 50%;
    justify-content: flex-start;
    display: flex;
    flex-direction: row;
    gap: 2%;
    align-items: center;
    margin-left: 20px;
}

.footer .right-nav {
    list-style: none;
    text-decoration: none;
    width: 50%;
    justify-content: flex-end;
    display: flex;
    flex-direction: row;
    gap: 2%;
    margin-right: 20px;
}

@media screen and (max-width:850px) {
    .contact-form {
        flex-direction: column;
        width: 60%;
        height: fit-content;
        margin: auto;
        justify-content: center;
        font-size: 3vw;
    }

    .contact-form .form-left, .form-right {
        width: 100%;
        margin: auto;
    }

    .contact-form #subject-options {
        display: block;
        float: left;
    }

    .contact-form input[type="text"] {
        height: 1.5em;
        width: 100%;
        border: none;
        border-radius: 5px;
        padding-left: 5px;
        box-sizing: border-box;
    }

    .contact-form #message-box {
        height: 20vh;
    }

    .contact-form .form-right textarea {
        width: 80%;
        border: none;
        border-radius: 5px;
        padding-left: 5px;
        box-sizing: border-box;
    }

    .form-buttons button {
        width: fit-content;
        font-size: 2vw;
        height: 1em;
        padding: 1%;
    }

    .map {
        min-height: 50vh;
        font-size: 2vw;
    }

    footer {
        font-size:0.5rem;
        height: 5em;
    }

  footer img {
        display: none;
  }
}